/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model;


public class StaticPorosityCacheKey
{
   public static final String CACHE_NAME = "porosity-table-static";

    private int porosity_id;

    public StaticPorosityCacheKey(
        int porosity_id
    ) {
        this.porosity_id = porosity_id;
    }

    @Override
    public int hashCode() {
        return (String.valueOf(porosity_id)).hashCode();
    }

    @Override
    public boolean equals(Object other) {
        if (!(other instanceof StaticPorosityCacheKey)) {
            return false;
        }
        StaticPorosityCacheKey o = (StaticPorosityCacheKey) other;
        return this.porosity_id == o.porosity_id;
    }
}
